Package org.apache.cayenne.configuration.server

## Class DataContextFactory

- java.lang.Object
- - org.apache.cayenne.configuration.server.DataContextFactory

- All Implemented Interfaces:
    `ObjectContextFactory`

      public class DataContextFactory
      extends Object
      implements ObjectContextFactory

  Since:
    3.1

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `protected DataDomain` | `dataDomain` |
    `protected DataRowStoreFactory` | `dataRowStoreFactory` |
    `protected EventManager` | `eventManager` |
    `protected ObjectStoreFactory` | `objectStoreFactory` |
    `protected QueryCache` | `queryCache` |
    `protected TransactionFactory` | `transactionFactory` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `DataContextFactory()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `ObjectContext` | `createContext()` | Creates an ObjectContext attached to a default DataChannel.
    `ObjectContext` | `createContext​(DataChannel parent)` | Creates an ObjectContext attached to a provided channel.
    `protected ObjectContext` | `createdFromDataDomain​(DataDomain parent)` |
    `protected ObjectContext` | `createFromDataContext​(DataContext parent)` |
    `protected ObjectContext` | `createFromGenericChannel​(DataChannel parent)` |
    `protected DataContext` | `newInstance​(DataChannel parent, ObjectStore objectStore)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### dataDomain

          protected DataDomain dataDomain

    - #### eventManager

          protected EventManager eventManager

    - #### dataRowStoreFactory

          protected DataRowStoreFactory dataRowStoreFactory

    - #### objectStoreFactory

          protected ObjectStoreFactory objectStoreFactory

    - #### queryCache

          protected QueryCache queryCache

    - #### transactionFactory

          protected TransactionFactory transactionFactory

  - ### Constructor Detail

    - #### DataContextFactory

          public DataContextFactory()

  - ### Method Detail

    - #### createContext

          public ObjectContext createContext()

      Description copied from interface: `ObjectContextFactory`
      Creates an ObjectContext attached to a default DataChannel.
      Specified by:
        `createContext` in interface `ObjectContextFactory`

    - #### createContext

          public ObjectContext createContext​(DataChannel parent)

      Description copied from interface: `ObjectContextFactory`
      Creates an ObjectContext attached to a provided channel. This is often used for nested context creation.
      Specified by:
        `createContext` in interface `ObjectContextFactory`

    - #### createFromGenericChannel

          protected ObjectContext createFromGenericChannel​(DataChannel parent)

    - #### createFromDataContext

          protected ObjectContext createFromDataContext​(DataContext parent)

    - #### createdFromDataDomain

          protected ObjectContext createdFromDataDomain​(DataDomain parent)

    - #### newInstance

          protected DataContext newInstance​(DataChannel parent,
                                            ObjectStore objectStore)